import traceback

from cpl_core.configuration.configuration_model_abc import ConfigurationModelABC
from cpl_core.console import Console


class TestSettings(ConfigurationModelABC):

    def __init__(self):
        ConfigurationModelABC.__init__(self)

        self._login_url = ''
        self._me_page_url = ''
        self._cmd_url = ''

    @property
    def login_url(self) -> str:
        return self._login_url

    @property
    def me_page_url(self) -> str:
        return self._me_page_url

    @property
    def cmd_url(self) -> str:
        return self._cmd_url

    def from_dict(self, settings: dict):
        try:
            self._login_url = settings['LoginUrl']
            self._me_page_url = settings['MePageUrl']
            self._cmd_url = settings['CmdURL']
        except Exception as e:
            Console.error(f'[ ERROR ] [ {__name__} ]: Reading error in {type(self).__name__} settings')
            Console.error(f'[ EXCEPTION ] [ {__name__} ]: {e} -> {traceback.format_exc()}')
