import discord

from ui_tests_shared.command_test_case_with_app import CommandTestCaseWithApp
from ui_tests_shared.decorators import Async


class HelpTestCase(CommandTestCaseWithApp):

    @Async.test
    async def test_help(self):
        correct_response = 'https://git.sh-edraft.de/sh-edraft.de/kd_discord_bot/wiki/Befehle'
        self.send_command('help')

        def check(m: discord.Message):
            return m.content == correct_response and m.author.id == 998159802393964594

        response = await self._bot.wait_for('message', check=check)
        self.assertEqual(response.content, correct_response)
        await self._bot.close()
