import discord

from ui_tests_shared.command_test_case_with_app import CommandTestCaseWithApp
from ui_tests_shared.decorators import Async


class PingTestCase(CommandTestCaseWithApp):

    @Async.test
    async def test_ping(self):
        correct_response = self._t.transform('modules.base.pong')
        self.assertIsNotNone(correct_response)
        self.send_command('ping')

        def check(m: discord.Message):
            return m.content == correct_response and m.author.id == 998159802393964594

        response = await self._bot.wait_for('message', check=check)
        self.assertEqual(response.content, correct_response)
